---
updatedAt: 2026-05-20T06:30:40.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Estimate Ethereum validators progress in the active-exiting queue

Retrieve Ethereum validator in the active-exiting queue

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1.0.0",
    "title": "Staking API",
    "description": "The Blockdaemon Staking API simplifies and streamlines institutional cryptocurrency staking. The API allows developers to interact with blockchain networks and perform various staking-related operations, such as delegating and undelegating tokens, in a single, unified interface.\n\nWith the Staking API, you can quickly and easily build and deploy applications that automate staking activities and increase efficiency in your blockchain operations.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://assets-global.website-files.com/633c5e06513fa35f3391a5f9/645d33beb6fa65f6cfb95eb8_BD%20Logo%20Stack%20-%20Purple.svg",
      "backgroundColor": "#fafafa",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/boss"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "description": "When signing up for a staking account, you are provided with an API key.\n\nTo authenticate a Staking API request, pass your API key in the `X-API-Key` header.",
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "parameters": {
      "EthereumNetwork": {
        "name": "network",
        "in": "path",
        "description": "Ethereum network",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/EthereumNetwork"
        }
      }
    },
    "responses": {
      "InternalServerError": {
        "description": "Internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "EthereumQueuesProgress": {
        "description": "Ethereum queue estimate response",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/EthereumQueuesProgress"
            }
          }
        }
      },
      "InvalidRequest": {
        "description": "Invalid request.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Error response envelope",
              "required": [
                "code",
                "message"
              ],
              "properties": {
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Error code",
                  "example": 400
                },
                "message": {
                  "type": "string",
                  "description": "Error Message",
                  "example": "Detailed human-readable diagnostic message regarding any invalid request parameters"
                }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Header 'X-API-Key' missing.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnauthorizedError"
            }
          }
        }
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 500
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A descriptive error message"
          }
        }
      },
      "EthereumNetwork": {
        "type": "string",
        "description": "Ethereum network",
        "enum": [
          "mainnet",
          "hoodi"
        ]
      },
      "EthereumQueuesProgress": {
        "type": "object",
        "required": [
          "validators"
        ],
        "properties": {
          "last_updated": {
            "type": "string",
            "description": "Time validator state was recorded",
            "example": "2024-04-15 08:23:00"
          },
          "validators": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ValidatorQueueProgress"
            }
          }
        }
      },
      "ValidatorQueueProgress": {
        "type": "object",
        "description": "Ethereum validator queue progress validator",
        "required": [
          "public_key",
          "epochs_remaining"
        ],
        "properties": {
          "public_key": {
            "$ref": "#/components/schemas/EthereumValidatorPublicKey"
          },
          "epochs_remaining": {
            "$ref": "#/components/schemas/EpochsRemaining"
          }
        }
      },
      "EthereumQueuesProgressRequest": {
        "type": "object",
        "description": "List of Ethereum validator ids.",
        "required": [
          "public_keys"
        ],
        "properties": {
          "public_keys": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EthereumValidatorPublicKey"
            }
          }
        }
      },
      "EpochsRemaining": {
        "description": "the number of epochs remaining in the current queue",
        "type": "integer",
        "format": "int64",
        "example": 280312
      },
      "UnauthorizedError": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 401
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A human-readable diagnostic message detailing any authorization failure"
          }
        }
      },
      "EthereumValidatorPublicKey": {
        "type": "string",
        "description": "Public Key of an asymmetric key-pair.",
        "format": "hex",
        "example": "0xa1d1ad0714035353258038e964ae9675dc0252ee22cea896825c01458e1807bfad2f9969338798548d9858a571f7425c"
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/ethereum/{network}/queue-progress/active-exiting": {
      "post": {
        "summary": "Estimate Ethereum validators progress in the active-exiting queue",
        "operationId": "ActiveExitingQueueProgress",
        "tags": [
          "Ethereum"
        ],
        "description": "Retrieve Ethereum validator in the active-exiting queue",
        "parameters": [
          {
            "$ref": "#/components/parameters/EthereumNetwork"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/EthereumQueuesProgressRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/EthereumQueuesProgress"
          },
          "400": {
            "$ref": "#/components/responses/InvalidRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          },
          {
            "BearerAuth": []
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Ethereum",
      "description": "Ethereum endpoints"
    }
  ]
}
```